Bug 157369 - USBPS2 device not recognized on boot when connected to usb hub with latest kernel
USBPS2 device not recognized on boot when connected to usb hub with latest ke...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-10 19:02 EDT by David Kaplan
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Several working and non-workiŋg devices files (969 bytes, application/x-gzip)
2005-05-12 13:51 EDT, David Kaplan
no flags Details

  None (edit)
Description David Kaplan 2005-05-10 19:02:19 EDT
Description of problem:

I have a usb to ps2 converter that is normally connected to highspeed hub. 
Until the latest kernel (2.6.11-1.14_FC3), it worked fine.  Now, when I boot it
doesn't recognize it and the keyboard is not available to login.  I have to
remove the converter and reinsert it at another hub port or directly to the
computer's usb port for it to work.  This problem does not occur if the keyboard
is connected directly to the computer on boot.

The vital stats for the USB hub from lsusb -v are:

Bus 001 Device 002: ID 0409:0058 NEC Corp. HighSpeed Hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         1 Single TT
  bMaxPacketSize0        64
  idVendor           0x0409 NEC Corp.
  idProduct          0x0058 HighSpeed Hub
  bcdDevice            1.00
  iManufacturer           1 NEC Corporation
  iProduct                2 USB2.0 Hub Controller
  iSerial                 0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0001  bytes 1 once
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             4
  wHubCharacteristic 0x00a9
    Per-port power switching
    Per-port overcurrent protection
    TT think time 16 FS bits
    Port indicators
  bPwrOn2PwrGood       50 * 2 milli seconds
  bHubContrCurrent    100 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0x58
  Language IDs: (length=4)
     0409 English(US)
 
--------------------------------------------

The vital stats for the USBPS2 device are:

Bus 001 Device 009: ID 0d3d:0001 Tangtop Technology Co., Ltd
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0
  bDeviceProtocol         0
  bMaxPacketSize0         8
  idVendor           0x0d3d Tangtop Technology Co., Ltd
  idProduct          0x0001
  bcdDevice            0.01
  iManufacturer           0
  iProduct                2 USBPS2
  iSerial                 0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           59
    bNumInterfaces          2
    bConfigurationValue     1
    iConfiguration          4 HID Keyboard / Mouse
    bmAttributes         0xa0
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Devices
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              5 EP1
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.00
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      64
cannot get report descriptor
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0008  bytes 8 once
        bInterval              10
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Devices
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      2 Mouse
      iInterface              6 EP2
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.00
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength     124
cannot get report descriptor
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0005  bytes 5 once
        bInterval              10
  Language IDs: (length=4)
     0409 English(US)


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3
usbutils-0.11-6.1

How reproducible:

always

Steps to Reproduce:
1.plug usbps2 device into highspeed hub
2.boot computer
3.try to log in with ps2 keyboard connected to usbps2 device
  
Actual results:

keyboard doesn't work

Expected results:

keyboard works

Additional info:
Comment 1 Pete Zaitcev 2005-05-11 01:43:51 EDT
What was the last kernel which worked? I need a version with surety.
Even if it was uninstalled, there might be some evidence in old
/var/log/messages.*
Comment 2 David Kaplan 2005-05-11 13:30:30 EDT
The device worked through the entire 2.6.10 series (including
kernel-2.6.10-1.770_FC3).  It stopped working recently - I am not positive when
as sometimes I work without the hub, but I assume updating to
kernel-2.6.11-1.14_FC3 caused the problem.

I should note that this device does work, it just doesn't get recognized on boot
when the hub is in place.  Also, a usb mouse connected to the hub does get
recognized on boot, so it appears to a problem with this type of device
connected to the hub (USBPS2).
Comment 3 Pete Zaitcev 2005-05-11 18:54:08 EDT
Thanks for precise versions, I am going to compare 2.6.10-1.770_FC3 and
2.6.11-1.14_FC3 now.

I need complete /proc/bus/usb/devices for working and non-working situations,
to see if the Int values change, and what is connected where.
Comment 4 David Kaplan 2005-05-12 13:51:05 EDT
Created attachment 114302 [details]
Several working and non-workiŋg devices files

I am sending several version of the devices file.  The differences are
explained below - all are with the current FC3 2.6.11 kernel unless otherwise
stated.

1) devives.works.13.txt

Once, using the 2.6.11 kernel, I randomly placed the USBPS2 device (with
keyboard attached) into the port 1 on the hub (this is my number, not any
internal number), and it worked when I booted up.  This continued to work after
a pair of subsequent boots, but then never worked again after I moved cables
around and then moved then back to their original configuration.  Go figure...

2) devives.works.23.kernel_2.6.10_770.txt

This is from a boot with the 2.6.10.1_770 kernel, which always works fine.

3) devives.broken.14.txt

An example of a boot where things didn't work.

4) devives.works.after.move.txt

An example of a boot where I removed the USBPS2 device and reinserted it in
another port to get it to work.
Comment 5 David Kaplan 2005-06-03 21:26:52 EDT
This error persists with kernel-2.6.11-1.27_FC3.

I just noticed that when the USBPS2 device is connected that USB keys don't
work.  Disconnecting the USBPS2 makes them work again.

dmesg gives the following when I do this (comments spliced in):

**** This is when the USBPS2 goes in ****
usb 1-3.2: new low speed USB device using ehci_hcd and address 7
input: USB HID v1.00 Keyboard [USBPS2] on usb-0000:00:1d.7-3.2
input: USB HID v1.00 Mouse [USBPS2] on usb-0000:00:1d.7-3.2
**** This is when the USB key goes in ****
usb 1-3.1: new high speed USB device using ehci_hcd and address 8
scsi2 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 8
usb-storage: waiting for device to settle before scanning
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 1.25
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sda: 512000 512-byte hdwr sectors (262 MB)
**** This is where it looks like USB key fails ****
scsi: Device offlined - not ready after error recovery: host 2 channel 0 id 0 lun 0
sda: Write Protect is off
sda: Mode Sense: 55 53 02 00
sda: assuming drive cache: write through
usb 1-3.1: USB disconnect, address 8
Attached scsi removable disk sda at scsi2, channel 0, id 0, lun 0
usb-storage: device scan complete
**** Don't know what these are, but these happen all the time! ****
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
**** USBPS2 device out ****
usb 1-3.2: USB disconnect, address 7
**** USB key in, this time it works ****
usb 1-3.1: new high speed USB device using ehci_hcd and address 9
scsi3 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 9
usb-storage: waiting for device to settle before scanning
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 1.25
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sda: 512000 512-byte hdwr sectors (262 MB)
sda: Write Protect is off
sda: Mode Sense: 02 00 00 00
sda: assuming drive cache: write through
SCSI device sda: 512000 512-byte hdwr sectors (262 MB)
sda: Write Protect is off
sda: Mode Sense: 02 00 00 00
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi3, channel 0, id 0, lun 0
usb-storage: device scan complete
FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will
be case sensitive!
usb 1-3.1: USB disconnect, address 9
**** USBPS2 device back in (got to work) ****
usb 1-3.2: new low speed USB device using ehci_hcd and address 10
input: USB HID v1.00 Keyboard [USBPS2] on usb-0000:00:1d.7-3.2
input: USB HID v1.00 Mouse [USBPS2] on usb-0000:00:1d.7-3.2
Comment 6 Dave Jones 2005-07-15 15:46:39 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dave Jones 2005-10-02 20:27:34 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.